org.apache.ignite.internal.processors.cache.persistence.wal.serializer

## Class RecordDataV2Serializer

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.wal.serializer.RecordDataV1Serializer
  - - org.apache.ignite.internal.processors.cache.persistence.wal.serializer.RecordDataV2Serializer

All Implemented Interfaces:
  RecordDataSerializer

    public class RecordDataV2Serializer
    extends RecordDataV1Serializer
    implements RecordDataSerializer

Record data V2 serializer.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.ignite.internal.processors.cache.persistence.wal.serializer.RecordDataV1Serializer

`RecordDataV1Serializer.EncryptedDataEntry`

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.cache.persistence.wal.serializer.RecordDataV1Serializer

`cctx, co`

### Constructor Summary

Constructors
Constructor and Description
`RecordDataV2Serializer(GridCacheSharedContext cctx)` Create an instance of V2 data serializer.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected int` `entrySize(DataEntry entry)`
`protected int` `plainSize(WALRecord rec)`
`protected void` `writePlainRecord(WALRecord rec, ByteBuffer buf)` Write `rec` to `buf` without encryption.

### Methods inherited from class org.apache.ignite.internal.processors.cache.persistence.wal.serializer.RecordDataV1Serializer

`cctx, dataSize, readRecord, size, writeRecord`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.processors.cache.persistence.wal.serializer.RecordDataSerializer

`readRecord, size, writeRecord`

### Constructor Detail

#### RecordDataV2Serializer

    public RecordDataV2Serializer(GridCacheSharedContext cctx)

Create an instance of V2 data serializer.

Parameters:
  `cctx` - Cache shared context.

### Method Detail

#### plainSize

    protected int plainSize(WALRecord rec)
                     throws IgniteCheckedException

Parameters:
  `rec` - Record to measure.
Returns:
  Plain(without encryption) size of serialized rec in bytes.
Throws:
  `IgniteCheckedException` - If failed.

#### writePlainRecord

    protected void writePlainRecord(WALRecord rec,
                                    ByteBuffer buf)
                             throws IgniteCheckedException

Write `rec` to `buf` without encryption.

Parameters:
  `rec` - Record to serialize.
  `buf` - Output buffer.
Throws:
  `IgniteCheckedException` - If failed.

#### entrySize

    protected int entrySize(DataEntry entry)
                     throws IgniteCheckedException

Overrides:
  `entrySize` in class `RecordDataV1Serializer`
Parameters:
  `entry` - Entry to get size for.
Returns:
  Entry size.
Throws:
  `IgniteCheckedException` - If failed to get key or value bytes length.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.0
Release Date | : November 30 2018